public static interface WsEndpointBuilderFactory.WsBuilders
| Modifier and Type | Method and Description |
|---|---|
default WsEndpointBuilderFactory.WsEndpointBuilder |
ahcWs(String path)
Async HTTP Client (AHC) Websocket (camel-ahc-ws)
Exchange data with external Websocket servers using Async Http
Client.
|
default WsEndpointBuilderFactory.WsEndpointBuilder |
ahcWs(String componentName,
String path)
Async HTTP Client (AHC) Websocket (camel-ahc-ws)
Exchange data with external Websocket servers using Async Http
Client.
|
default WsEndpointBuilderFactory.WsEndpointBuilder |
ahcWss(String path)
Async HTTP Client (AHC) Secure Websocket (Secure) (camel-ahc-ws)
Exchange data with external Websocket servers using Async Http
Client.
|
default WsEndpointBuilderFactory.WsEndpointBuilder ahcWs(String path)
ahc-ws:httpUri
Path parameter: httpUri (required)
The URI to use such as http://hostname:port/pathpath - httpUridefault WsEndpointBuilderFactory.WsEndpointBuilder ahcWs(String componentName, String path)
ahc-ws:httpUri
Path parameter: httpUri (required)
The URI to use such as http://hostname:port/pathcomponentName - to use a custom component name for the endpoint
instead of the default namepath - httpUridefault WsEndpointBuilderFactory.WsEndpointBuilder ahcWss(String path)
ahc-wss:httpUri
Path parameter: httpUri (required)
The URI to use such as http://hostname:port/pathpath - httpUriApache Camel